Skip to main content
`Ctrl`+`K`

# DMAdaptorRegisterAll

Registers all of the adaptor components in the `DM` package.

## Synopsis

    #include "petscdmadaptor.h"
    PetscErrorCode DMAdaptorRegisterAll(void)

Not Collective

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMAdaptorType`, `DMRegisterAll()`, `DMAdaptorRegisterDestroy()`

## Level

advanced

## Location

src/snes/utils/dm/dmadapt.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages